#ifndef GRAPHICS_TABFOCUS_H
#define GRAPHICS_TABFOCUS_H

/*
**  tabfocus.h
**
**  (C) Copyright 2003 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** TabFocus methods.
*/

struct mtAddTabObject {
   OBJECTID ObjectID;
};

struct mtInsertTabObject {
   LONG     Index;
   OBJECTID ObjectID;
};

struct mtRemoveTabObject {
   OBJECTID ObjectID;
};

struct mtSetTabObject {
   LONG     Index;
   OBJECTID ObjectID;
};

#define MT_AddTabObject    -1  /* Adds the specified object to the current index position */
#define MT_InsertTabObject -2  /* Inserts an object reference at the specified index */
#define MT_RemoveTabObject -3  /* Removes all instances of the object from the tablist */
#define MT_SetTabObject    -4  /* Sets an object at the specified index position */

#endif /* GRAPHICS_TABFOCUS_H */
